- Qt 5.3
- Qt Sensors
- C++ Classes
- QProximityFilter
- Qt 5.3.2 Reference Documentation

# QProximityFilter Class

The QProximityFilter class is a convenience wrapper around QSensorFilter. More...

Header: | `#include <QProximityFilter>`
qmake: | `QT += sensors`
Inherits: | QSensorFilter.

- List of all members, including inherited members

## Public Functions

virtual bool | filter(QProximityReading * reading) = 0

- 1 public function inherited from QSensorFilter

## Detailed Description

The QProximityFilter class is a convenience wrapper around QSensorFilter.

The only difference is that the filter() method features a pointer to QProximityReading instead of QSensorReading.

## Member Function Documentation

### bool QProximityFilter::filter(QProximityReading * reading)`[pure virtual]`

Called when reading changes. Returns false to prevent the reading from propagating.

See also QSensorFilter::filter().